## IdeGreeterSection IdeGreeterSection |

## Functions

gint | ide_greeter_section_get_priority ()
gboolean | ide_greeter_section_filter ()
void | ide_greeter_section_emit_project_activated ()
gboolean | ide_greeter_section_activate_first ()
void | ide_greeter_section_set_selection_mode ()
void | ide_greeter_section_delete_selected ()
void | ide_greeter_section_purge_selected ()

## Signals

void | project-activated | Run Last

## Types and Values

#define | IDE_TYPE_GREETER_SECTION
struct | IdeGreeterSectionInterface
| IdeGreeterSection

## Object Hierarchy

        GInterface
        ╰── IdeGreeterSection

## Prerequisites

IdeGreeterSection requires GtkWidget.

## Description

## Functions

### ide_greeter_section_get_priority ()

    gint
    ide_greeter_section_get_priority (IdeGreeterSection *self);

Get the priority of the section. The lowest integral value is sorted first in the list of sections.

#### Parameters

self | an IdeGreeterSection |

#### Returns

the priority for the section

Since: 3.32

### ide_greeter_section_filter ()

    gboolean
    ide_greeter_section_filter (IdeGreeterSection *self,
                                DzlPatternSpec *spec);

Refilter the visibile items based on the current search.

#### Parameters

self | a IdeGreeterSection |
spec | a DzlPatternSpec or `NULL`. | [nullable]

#### Returns

`TRUE` if at least one element matched.

Since: 3.32

### ide_greeter_section_emit_project_activated ()

    void
    ide_greeter_section_emit_project_activated
                                   (IdeGreeterSection *self,
                                    IdeProjectInfo *project_info);

### ide_greeter_section_activate_first ()

    gboolean
    ide_greeter_section_activate_first (IdeGreeterSection *self);

Active the first item in the section. This happens when the user hits Enter within the search box to select the first visible item in the search result set.

Ensure the given item is visible before activating it.

If no item matched, then return `FALSE`.

#### Parameters

self | a IdeGreeterSection |

#### Returns

`TRUE` if an item was activated

Since: 3.32

### ide_greeter_section_set_selection_mode ()

    void
    ide_greeter_section_set_selection_mode
                                   (IdeGreeterSection *self,
                                    gboolean selection_mode);

### ide_greeter_section_delete_selected ()

    void
    ide_greeter_section_delete_selected (IdeGreeterSection *self);

### ide_greeter_section_purge_selected ()

    void
    ide_greeter_section_purge_selected (IdeGreeterSection *self);

## Types and Values

### IDE_TYPE_GREETER_SECTION

    #define IDE_TYPE_GREETER_SECTION (ide_greeter_section_get_type ())

### struct IdeGreeterSectionInterface

    struct IdeGreeterSectionInterface {
      GTypeInterface parent_iface;

      void     (*project_activated)  (IdeGreeterSection *self,
                                      IdeProjectInfo    *project_info);
      gint     (*get_priority)       (IdeGreeterSection *self);
      gboolean (*filter)             (IdeGreeterSection *self,
                                      DzlPatternSpec    *spec);
      gboolean (*activate_first)     (IdeGreeterSection *self);
      void     (*set_selection_mode) (IdeGreeterSection *self,
                                      gboolean           selection_mode);
      void     (*delete_selected)    (IdeGreeterSection *self);
      void     (*purge_selected)     (IdeGreeterSection *self);
    };

### IdeGreeterSection

    typedef struct _IdeGreeterSection IdeGreeterSection;

## Signal Details

### The `“project-activated”` signal

    void
    user_function (IdeGreeterSection *self,
                   IdeProjectInfo    *project_info,
                   gpointer           user_data)

The "project-activated" signal is emitted when a project has been selected by the user in the section.

Use `ide_greeter_section_emit_project_activated()` to activate this signal.

#### Parameters

self | an IdeGreeterSection |
project_info | an IdeProjectInfo |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 3.32